Subject: Re: Did Internet Founders Actually Anticipate Paid, Prioritized Traffic?

From: [email-masked] (Noel Chiappa)
Date: Mon, 13 Sep 2010 16:03:39 -0400 (EDT)

> From: todd glassey <[email-masked]>

    > Why not simply ask Len Klienrock the answer to this question.

Umm, OK idea, wrong person: Len wasn't around the early Internet development.

I actually vaguely recall discussions about the TOS field (including how many
bits to give to each sub-field), but I can't recall very much of the content
of the discussions. If anyone cares, some of the IENs which document the early
meetings might say more.

Frankly, I doubt we understood the issues that well back then. Remember, this
was the same time period when we put in the 'Source Quench' ICMP message...

	Noel

---

From: Richard Bennett <[email-masked]>
Date: Mon, 13 Sep 2010 13:16:43 -0700

The story I've heard from Vint Cerf about the TOS field is that it
was put in for AUTODIN-II, a defense network that had multiple
service levels to accommodate the requirements of interactive apps
vs. bulk data apps. Jon Postel wrote RFC 795 - Service mappings on
the mapping of TOS bits to service levels for ARPANET, PRNET,
SATNET, and AUTODIN-II. AUTODIN-II never graduated from beta to
production status. The Autodin story is told at
, http://www.jproc.ca/crypto/autodin.html

RB

Noel
_______________________________________________
Ietf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf

--
Richard Bennett

---

From: Michael StJohns <[email-masked]>
Date: Mon, 13 Sep 2010 16:17:21 -0400

Heh...

The TOS field was designed to mimic the DOD's message preemption scheme - lower priority messages were only sent if there were no higher priority messages waiting (a message in this case being more like an email than a packet).  Routine, Priority, Operational Immediate, Flash and Flash Override.  Flash Override messages ALWAYS won.  

In 1988, the DDN Program Manager directed the DDN PMO staff to come up with a way of doing usage-based billing for the MILNET.

Neither of these schemes ever saw real-world implementation/use as far as I know.

Mike

---

From: todd glassey <[email-masked]>
Date: Mon, 13 Sep 2010 13:20:43 -0700

> Frankly, I doubt we understood the issues that well back then. Remember, this

I would disagree with that but Vint is still around and obviously with
his partner Al Gore should be able to answer this one, or so one would
think.

Sorry - I grew up at SUAI in the mid 70's meaning I sat on the H316IMP
waiting for uploads to the air force to complete.

What a pain.

Todd

-- 
//-----------------------------------------------------------------

This message may contain confidential and/or privileged information.
If you are not the addressee or authorized to receive this for the
addressee, you must not use, copy, disclose or take any action based
on this message or any information herein. If you have received this
message in error, please advise the sender immediately by reply e-mail
and delete this message.

Thank you for your cooperation.

---

From: Florian Weimer <[email-masked]>
Date: Tue, 14 Sep 2010 15:11:32 +0000

* Noel Chiappa:

> I actually vaguely recall discussions about the TOS field (including
> how many bits to give to each sub-field), but I can't recall very
> much of the content of the discussions. If anyone cares, some of the
> IENs which document the early meetings might say more.

See RFC 760, which seems remarkably up-to-date:

    A few networks offer a Stream service, whereby one can achieve a
    smoother service at some cost.

Admittedly, this sentence did not make it into RFC 791.

(Except that my guess what network non-neutrality is really about is
quite different: usage caps exceptions for content where the content
hoster and the ISP have reached an ad-sharing deal.  QoS rarely works
in practice because no two organizations or departments can agree on a
common set of parameters.)

-- 
Florian Weimer                <[email-masked]>
BFK edv-consulting GmbH       http://www.bfk.de/
Kriegsstraße 100              tel: +49-721-96201-1
D-76133 Karlsruhe             fax: +49-721-96201-99

---

From: Bob Braden <[email-masked]>
Date: Tue, 14 Sep 2010 09:36:16 -0700

>      smoother service at some cost.

That might have been only a sideways acknowledgment of ST-II.

Bob Braden

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 15 Sep 2010 09:57:33 +1200

> That might have been only a sideways acknowledgment of ST-II.

Not to mention that at the time, the great competitor for all this
new-fangled connectionless datagram stuff was X.25, a pay-per-connection
and pay-per-byte stream service.

As PHB says, intentions back then hardly matter anyway.

Maybe we can leave this debate to some USA local discussion list
where it belongs? Those of us in the economies where there is
competition on the local loop are not that interested.

   Brian

---

From: Richard Bennett <[email-masked]>
Date: Tue, 14 Sep 2010 17:08:15 -0700

I wonder how many people realize that X.25 was a direct descendant of 
ARPANET, and that BB&N became a leading supplier of X.25 hardware simply 
by continuing the IMP down its evolutionary path.

The dialog on Internet regulation is world-wide. The EC has an open 
inquiry on it, and nations around the world are grappling with Internet 
policy as they contemplate the best means of stimulating the deployment 
of more capable infrastructure that will ultimately replace twisted pair 
with coax and fiber and replace 2G and 3G mobile with LTE. Providing 
wholesale access to the legacy twisted pair cable plant doesn't cause 
fiber to magically spring up out of the Earth and connect homes together 
in a seamless mesh.

Engineers have no more intrinsic insight into network policy than 
economists have regarding network protocols; law professors are 
generally lame on both fronts. The most interesting policy work 
regarding the Internet these days comes from multi-disciplinary teams 
working in academe and in the think tanks.

RB

-- 
Richard Bennett

---

From: Richard Bennett <[email-masked]>
Date: Tue, 14 Sep 2010 18:45:43 -0700

Indeed, K St. think tanks were heavily involved in the Kennedy 
assassination, Watergate, and 9/11. Like IPv6, it's all about the address.

RB

On 9/14/2010 6:25 PM, Phillip Hallam-Baker wrote:
> If you have such a poor opinion of engineers, then why post here?
>
> In my experience, K-street think tanks provide negative value. Almost 
> without exception they refuse to disclose their sources of funding 
> while peddling talking points written for them by the people who fund 
> them.
>
>
> In this forum you are purporting to be a disinterested private 
> individual while being a paid staff member of a business that is paid 
> to be an advocate for a specific point of view on the subject you are 
> posting on.
>
> Most people would consider that this would be an interest that 
> required disclosure.
>
>
> On Tue, Sep 14, 2010 at 8:08 PM, Richard Bennett <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>      I wonder how many people realize that X.25 was a direct
>     descendant of ARPANET, and that BB&N became a leading supplier of
>     X.25 hardware simply by continuing the IMP down its evolutionary path.
>
>     The dialog on Internet regulation is world-wide. The EC has an
>     open inquiry on it, and nations around the world are grappling
>     with Internet policy as they contemplate the best means of
>     stimulating the deployment of more capable infrastructure that
>     will ultimately replace twisted pair with coax and fiber and
>     replace 2G and 3G mobile with LTE. Providing wholesale access to
>     the legacy twisted pair cable plant doesn't cause fiber to
>     magically spring up out of the Earth and connect homes together in
>     a seamless mesh.
>
>     regarding the Internet these days comes from multi-disciplinary
>     teams working in academe and in the think tanks.
>
>     RB
>
>
>         [email-masked] <mailto:[email-masked]>
>     [email-masked] <mailto:[email-masked]>
> Website: http://hallambaker.com/
>

-- 
Richard Bennett

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Tue, 14 Sep 2010 19:03:27 -0400

> competition on the local loop are not that interested.

Now there is an idea that the Internet 'founders' might get behind and
propose to the FCC.

The entire 'Net Neutrality' debate in the US is a consequence of the lack of
competition in the local loop. If I had a genuine choice of broadband
provider, I could chose one that undertook not to sabotage my Vonage service
in order to force me to pay for their own VOIP service.

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Tue, 14 Sep 2010 21:25:57 -0400

In my experience, K-street think tanks provide negative value. Almost
without exception they refuse to disclose their sources of funding while
peddling talking points written for them by the people who fund them.

In this forum you are purporting to be a disinterested private individual
while being a paid staff member of a business that is paid to be an advocate
for a specific point of view on the subject you are posting on.

Most people would consider that this would be an interest that required
disclosure.

On Tue, Sep 14, 2010 at 8:08 PM, Richard Bennett <[email-masked]>wrote:

> ARPANET, and that BB&N became a leading supplier of X.25 hardware simply by
> continuing the IMP down its evolutionary path.
>
> The dialog on Internet regulation is world-wide. The EC has an open inquiry
> on it, and nations around the world are grappling with Internet policy as
> they contemplate the best means of stimulating the deployment of more
> capable infrastructure that will ultimately replace twisted pair with coax
> and fiber and replace 2G and 3G mobile with LTE. Providing wholesale access
> to the legacy twisted pair cable plant doesn't cause fiber to magically
> spring up out of the Earth and connect homes together in a seamless mesh.
>
> economists have regarding network protocols; law professors are generally
> lame on both fronts. The most interesting policy work regarding the Internet
> these days comes from multi-disciplinary teams working in academe and in the
> think tanks.
>
> RB
>
>

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Wed, 15 Sep 2010 00:35:10 -0400

Well as you know, for whatever reason, certain network prefixes turn out to
be the source of rather more unreliable traffic than others.

On Tue, Sep 14, 2010 at 9:45 PM, Richard Bennett <[email-masked]>wrote:

>> policy as they contemplate the best means of stimulating the deployment of
>> more capable infrastructure that will ultimately replace twisted pair with
>> coax and fiber and replace 2G and 3G mobile with LTE. Providing wholesale
>> access to the legacy twisted pair cable plant doesn't cause fiber to
>> magically spring up out of the Earth and connect homes together in a
>> seamless mesh.
>>

---

From: Bob Hinden <[email-masked]>
Date: Wed, 15 Sep 2010 12:04:26 -0700

On Sep 14, 2010, at 5:08 PM, Richard Bennett wrote:

> I wonder how many people realize that X.25 was a direct descendant of ARPANET, and that BB&N became a leading supplier of X.25 hardware simply by continuing the IMP down its evolutionary path.

I was at BBN at the time this was going on.  BBN implemented X.25 because it needed a "standardized" interface to the network instead of BBN's proprietary 1822 interface and choose X.25.  X.25 was developed in parallel to the Arpanet and I disagree that it "was a direct descendant of ARPANET".  It has a very different interface (connection oriented vs. message oriented) that IMHO was not an improvement.

Bob

p.s. I suggest that BBN use Ethernet instead but that didn't get any traction.  I am pretty sure the world would be different had they followed my suggestion.

---

From: Richard Bennett <[email-masked]>
Date: Wed, 15 Sep 2010 12:16:17 -0700

I think it's actually pretty easy to make the case that a 
circuit-switched protocol with a sliding window is superior to a 
stop-and-wait system that required the RFNM from the receiver before 
every message. In that sense, X.25 was an upgrade over the ARPANET. One 
problem with coax-based Ethernet was the absence of flow control, which 
caused bad things to happen to the Internet when IMPs were replaced by 
Ethernets.

RB

-- 
Richard Bennett

---

From: Bob Hinden <[email-masked]>
Date: Wed, 15 Sep 2010 15:00:20 -0700

On Sep 15, 2010, at 12:16 PM, Richard Bennett wrote:

> I think it's actually pretty easy to make the case that a circuit-switched protocol with a sliding window is superior to a stop-and-wait system that required the RFNM from the receiver before every message. In that sense, X.25 was an upgrade over the ARPANET. One problem with coax-based Ethernet was the absence of flow control, which caused bad things to happen to the Internet when IMPs were replaced by Ethernets.

Well that's one way of looking at it.  Others might draw different conclusions.  This discussion reminds me of the discussion at BBN of X.25 style packet switching vs. the Internet datagram approach.  I think the outcome was clear.

Bob

---

From: Richard Bennett <[email-masked]>
Date: Wed, 15 Sep 2010 15:05:38 -0700

No doubt about that, I'm not defending X.25, which was after all a 
telco plot to kill the datagram. I was wrong, BTW, about the RFNM in 
ARPANET; initially, it was one message at a time, but was enhanced to a 
sliding window in the fullness of time.

Further discussions of this topic should migrate over to the Internet 
History list, [email-masked]; we're way off-topic here.

RB

-- 
Richard Bennett

---

From: Dave CROCKER <[email-masked]>
Date: Wed, 15 Sep 2010 12:25:44 -0700

On 9/15/2010 12:04 PM, Bob Hinden wrote:
>  I disagree that it "was a direct descendant of ARPANET".  It has
> a very different interface (connection oriented vs. message oriented) that
> IMHO was not an improvement.

Right.

There were Arpanet folk who participated in standardizing X.25.  But as 
technology comparisons go, X.25 versus Arpanet were probably as far as you can 
get apart and still be doing packet switching.  Per-packet routing versus 
virtual circuits with fixed routing (in the network) are clearly the major point 
of disparity.  But reliability in the network, versus none, was another as I recall.

d/

ps.  There also were Arpanet folk who participated in creating X.400, but it 
reflected essentially nothing from Arpanet/Internet mail.

-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Wed, 15 Sep 2010 16:39:21 -0400

X.25 was a disaster area. I watched someone trying to code a PAD in 1984,
took him months to realize that the reason it did not work is that the spec
did not correspond to the bits on the wire.

The idea for X.25 certainly did not come out of BBN or the ARPANET. Many
groups round the world were looking at computer networking schemes in the
1970s. X.25 was a consensus that emerged from a group of (mostly) European
engineers.

Far from being an incremental evolution of the ARPANET, Orange Book was
essentially Spock with Beard. The ARPANET was a research network whose
development was mostly led by academics with some input from corporations.
Coloured Books was a commercial network from the start and development was
led by telephone company engineers with occasional academics.

X.25 was a direct descendant of the capabilities of the (then) planned
System X digital telephone system in the UK and similar systems in France
and Germany.

On Wed, Sep 15, 2010 at 3:04 PM, Bob Hinden <[email-masked]> wrote:

> I was at BBN at the time this was going on.  BBN implemented X.25 because
> it needed a "standardized" interface to the network instead of BBN's
> proprietary 1822 interface and choose X.25.  X.25 was developed in parallel
> to the Arpanet and I disagree that it "was a direct descendant of ARPANET".
>  It has a very different interface (connection oriented vs. message
> oriented) that IMHO was not an improvement.
>
> Bob
>
> p.s. I suggest that BBN use Ethernet instead but that didn't get any
> traction.  I am pretty sure the world would be different had they followed
> my suggestion.
>
>

---

From: Dave Aronson <[email-masked]>
Date: Thu, 16 Sep 2010 13:22:27 -0400

> led by telephone company engineers with occasional academics.

Heh.  For a moment you had me wondering what the Trusted Computer
System Evaluation Criteria (TCSEC), aka "the Orange Book" to infosec
geeks, had to do with it.  Different set of colored books.  Then
there's the whole Orange Wall....

-Dave

-- 
Specialization is for insects. -RAH  | Have Pun, Will Babble! -me
Programming Blog: http://codosaur.us | Work: http://davearonson.com
Leadership Blog:  http://dare2xl.com | Play: http://davearonson.net
* * * * * WATCH THIS SPACE * * * * * | Ruby: http://mars.groupsite.com

---

From: Jorge Amodio <[email-masked]>
Date: Thu, 16 Sep 2010 12:43:48 -0500

> technology comparisons go, X.25 versus Arpanet were probably as far as you
> can get apart and still be doing packet switching.

So fart apart that when we started moving IP packets over dedicated
lines in South America the telco guys were pulling their hairs off
because they didn't know how to count IP traffic in kilo-segments ...

J